<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Advanced-Whats-New-Panel mit Admin v1.0
| Copyright  2007 EdEdster (Stefan Noss)
| http://www.edsterathome.de/
| eMail: webmaster@edsterathome.de
| ---------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
include INFUSIONS."whats_new_panel/infusion_db.php";

if(!defined("IN_FUSION") || !checkrights("I")) {
	header("Location:../../index.php");
	exit;
}
if(file_exists(INFUSIONS."whats_new_panel/locale/".$settings['locale'].".php")) {
	include	INFUSIONS."whats_new_panel/locale/".$settings['locale'].".php";
} else {
	include	INFUSIONS."whats_new_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['WIN_99'];
$inf_description = $locale['WIN_97'];
$inf_version = "1.1v7";
$inf_developer = "Stefan Noss, update by S. Khler, SetepenRa";
$inf_email = "webmaster@edsterathome.de";
$inf_weburl = "http://www.edsterathome.de";

// OLD
//$inf_title = "Advanced Whats-New-Panel";
//$inf_description = "Advanced Whats-New-Panel mit Administration";
//$inf_version = "1.0";
//$inf_developer = "Stefan Noss";
//$inf_email = "webmaster@edsterathome.de";
//$inf_weburl = "http://www.edsterathome.de";


$inf_folder = "whats_new_panel";

$inf_adminpanel[1] = array(
	"title" => $locale['awnp_admin'],
	"image" => "infusions.gif",
	"panel" => "admin/panel_settings.php",
	"rights" => "AWNP"
//Old	
//$inf_admin_image = "infusions.gif";
//$inf_admin_panel = "admin/panel_settings.php";

);

$inf_sitelink[1] = array(
	"title" => $locale['awnp_link'],
	"url" => "whats_new_panel.php",
	"visibility" => "0" // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super

//old	
//$inf_link_name = $inf_title;
//$inf_link_url = "whats_new_panel.php";
);

$inf_newtables = 1;
$inf_insertdbrows = 1;
$inf_altertables = 0;


$inf_newtable[1] = DB_AWNP_Settings."(
	id smallint(5) unsigned NOT NULL auto_increment,
	latest_forumthreads tinyint(1) unsigned NOT NULL default '1',
	most_read_forumthreads tinyint(1) unsigned NOT NULL default '1',
	latest_news tinyint(1) unsigned NOT NULL default '1',
	latest_articles tinyint(1) unsigned NOT NULL default '1',
	latest_comments tinyint(1) unsigned NOT NULL default '1',
	latest_photos tinyint(1) unsigned NOT NULL default '1',
	latest_weblinks tinyint(1) unsigned NOT NULL default '1',
	latest_prodownloads tinyint(1) unsigned NOT NULL default '0',
	latest_prodownload_comments tinyint(1) unsigned NOT NULL default '0',
	latest_fusiondownloads tinyint(1) unsigned NOT NULL default '1',
	random_photo tinyint(1) unsigned NOT NULL default '1',
	PRIMARY KEY (id)
) TYPE=MyISAM;";


$inf_insertdbrow[1] = DB_AWNP_Settings." (id, latest_forumthreads, most_read_forumthreads, latest_news,latest_articles, latest_comments, latest_photos, latest_weblinks, latest_prodownloads, latest_prodownload_comments, latest_fusiondownloads, random_photo) VALUES ('1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '1')";


$inf_droptable[1] = DB_AWNP_Settings;

?>
